Links de Pagamento
Listar links de pagamento
Lista links de pagamento com paginação e filtros.
Lista links de pagamento com paginação e filtros.
basicAuth In: header
application/json
curl -X GET "https://example.com/v1/payment-links"application/json
Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.
Filtrar por status
Busca por texto
Data inicial (ISO 8601)
Data final (ISO 8601)
Número da página (mínimo: 1, padrão: 1)
Itens por página (1-100, padrão: 20)
{
"success": true,
"message": "string",
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea",
"submerchant_id": "0534fe1e-3158-45a7-83b1-35fcc9d94bc5",
"title": "string",
"description": "string",
"amount": 0,
"checkout_url": "http://example.com",
"currency": "BRL",
"product_type": "physical",
"allowed_payment_methods": [
"credit_card"
],
"max_installments": 0,
"expires_at": "2019-08-24T14:15:22Z",
"max_uses": 0,
"current_uses": 0,
"status": "active",
"redirect_url": "http://example.com",
"cover_image_url": "string",
"metadata": {},
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"page": 0,
"perPage": 0,
"total": 0,
"totalPages": 0
}
}{
"success": false,
"message": "string",
"error": "string"
}